class LiveConnectExtension

# class LiveConnectExtension | An extension class for LiveConnect, i. More...
Full name | `KParts::LiveConnectExtension`
Definition | `#include <browserextension.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { TypeVoid=0, TypeBool, TypeFunction, TypeNumber, TypeObject, TypeString }
- typedef QValueList > ArgList

#### Public Methods

- LiveConnectExtension ( KParts::ReadOnlyPart *parent, const char *name = 0L )
- virtual ~LiveConnectExtension ()
- virtual bool get ( const unsigned long objid, const QString & field, Type & type, unsigned long & retobjid, QString & value )
- virtual bool put ( const unsigned long objid, const QString & field, const QString & value )
- virtual bool call ( const unsigned long objid, const QString & func, const QStringList & args, Type & type, unsigned long & retobjid, QString & value )
- virtual void unregister ( const unsigned long objid )

#### Signals

- virtual void partEvent ( const unsigned long objid, const QString & event, const ArgList & args )

#### Public Static Methods

- static LiveConnectExtension * childObject ( QObject *obj )

## Detailed Description

An extension class for LiveConnect, i.e. a call from JavaScript from a HTML page which embeds this part. A part can have an object hierarchie by using objid as a reference to an object.

enum Type { TypeVoid=0, TypeBool, TypeFunction, TypeNumber, TypeObject, TypeString } | ### Type

typedef QValueList<QPair QString> > ArgList | ### ArgList

LiveConnectExtension ( KParts::ReadOnlyPart *parent, const char *name = 0L ) | ### LiveConnectExtension

~LiveConnectExtension () | ### ~LiveConnectExtension

[virtual]

bool get ( const unsigned long objid, const QString & field, Type & type, unsigned long & retobjid, QString & value ) | ### get

[virtual]

get a field value from objid, return true on success

bool put ( const unsigned long objid, const QString & field, const QString & value ) | ### put

[virtual]

put a field value in objid, return true on success

bool call ( const unsigned long objid, const QString & func, const QStringList & args, Type & type, unsigned long & retobjid, QString & value ) | ### call

[virtual]

calls a function of objid, return true on success

void unregister ( const unsigned long objid ) | ### unregister

[virtual]

notifies the part that there is no reference anymore to objid

LiveConnectExtension * childObject ( QObject *obj ) | ### childObject

[static]

void partEvent ( const unsigned long objid, const QString & event, const ArgList & args ) | ### partEvent

[virtual signal]

notify a event from the part of object objid

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:24 2003, using kdoc 2.0a54.